Bug 740274 - SELinux is preventing /usr/libexec/postfix/bounce from 'write' accesses on the directory /var/spool/postfix/defer/A.
Summary: SELinux is preventing /usr/libexec/postfix/bounce from 'write' accesses on th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:2d63205a53e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:59 UTC by Paul W. Frields
Modified: 2011-12-04 02:36 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.9.16-48.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-04 02:36:01 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2011-09-21 13:59:10 UTC
SELinux is preventing /usr/libexec/postfix/bounce from 'write' accesses on the directory /var/spool/postfix/defer/A.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bounce should be allowed write access on the A directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep bounce /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:postfix_bounce_t:s0
Target Context                system_u:object_r:postfix_spool_maildrop_t:s0
Target Objects                /var/spool/postfix/defer/A [ dir ]
Source                        bounce
Source Path                   /usr/libexec/postfix/bounce
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           postfix-2.8.4-2.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-40.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40.4-5.fc15.x86_64
                              #1 SMP Tue Aug 30 14:38:32 UTC 2011 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 21 Sep 2011 09:27:13 AM EDT
Last Seen                     Wed 21 Sep 2011 09:27:13 AM EDT
Local ID                      54aa2320-b9c1-4b31-a5e1-af0359173a16

Raw Audit Messages
type=AVC msg=audit(1316611633.87:8829): avc:  denied  { write } for  pid=23165 comm="bounce" name="A" dev=dm-4 ino=834 scontext=system_u:system_r:postfix_bounce_t:s0 tcontext=system_u:object_r:postfix_spool_maildrop_t:s0 tclass=dir


type=SYSCALL msg=audit(1316611633.87:8829): arch=x86_64 syscall=open success=no exit=EACCES a0=7f724fe080f0 a1=441 a2=180 a3=1 items=0 ppid=23035 pid=23165 auid=4294967295 uid=89 gid=89 euid=89 suid=89 fsuid=89 egid=89 sgid=89 fsgid=89 tty=(none) ses=4294967295 comm=bounce exe=/usr/libexec/postfix/bounce subj=system_u:system_r:postfix_bounce_t:s0 key=(null)

Hash: bounce,postfix_bounce_t,postfix_spool_maildrop_t,dir,write

audit2allow

#============= postfix_bounce_t ==============
#!!!! The source type 'postfix_bounce_t' can write to a 'dir' of the following types:
# postfix_bounce_tmp_t, postfix_spool_bounce_t, postfix_spool_t, tmp_t, var_spool_t, var_run_t

allow postfix_bounce_t postfix_spool_maildrop_t:dir write;

audit2allow -R

#============= postfix_bounce_t ==============
#!!!! The source type 'postfix_bounce_t' can write to a 'dir' of the following types:
# postfix_bounce_tmp_t, postfix_spool_bounce_t, postfix_spool_t, tmp_t, var_spool_t, var_run_t

allow postfix_bounce_t postfix_spool_maildrop_t:dir write;

Comment 1 Miroslav Grepl 2011-09-29 10:11:06 UTC
Fixed in selinux-policy-3.9.16-43.fc15

Comment 2 Fedora Update System 2011-11-16 16:17:45 UTC
selinux-policy-3.9.16-48.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-48.fc15

Comment 3 Fedora Update System 2011-11-17 23:36:06 UTC
Package selinux-policy-3.9.16-48.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-48.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16023/selinux-policy-3.9.16-48.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-12-04 02:36:01 UTC
selinux-policy-3.9.16-48.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.